SmartEmailing compatible API v3
The same paths, envelopes and errors as SmartEmailing REST API v3 (read operations and account webhooks). HTTP Basic: member e-mail + API key.
Technická reference je anglicky (stejně jako strojově čitelný dokument OpenAPI). Celou skupinu pro AI agenta načtete z /api/openapi.json?tag=SmartEmailing%20v3.
Operace
| Metoda | Cesta | Popis |
|---|---|---|
| GET | /api/v3/account-info | Account info (guid = tenant id for API v1) |
| GET | /api/v3/check-credentials | Check the credentials |
| POST | /api/v3/check-credentials | Check the credentials |
| GET | /api/v3/contactlists | List contact lists |
| GET | /api/v3/contactlists/{list_id} | Get a contact list |
| GET | /api/v3/contacts | List contacts |
| GET | /api/v3/contacts/{contact_id} | Get a contact |
| GET | /api/v3/customfields | List custom fields |
| GET | /api/v3/ping | Ping (no authentication) |
| GET | /api/v3/web-hooks | List account webhooks |
| POST | /api/v3/web-hooks | Register an account webhook |
| DELETE | /api/v3/web-hooks/{webhook_id} | Delete an account webhook |
Account info (guid = tenant id for API v1)
GET /api/v3/account-info
Odpovědi
- 200 OK:
application/jsonobject
Chyby
| Stav | Kód | Hodnoty message |
|---|---|---|
| 401 | Authentication Failed | |
| 403 | Forbidden | |
| 429 | Rate limit exceeded (...) |
Check the credentials
GET /api/v3/check-credentials
Odpovědi
- 200 OK:
application/jsonobject
Chyby
| Stav | Kód | Hodnoty message |
|---|---|---|
| 401 | Authentication Failed | |
| 429 | Rate limit exceeded (...) |
Check the credentials
POST /api/v3/check-credentials
Odpovědi
- 200 OK:
application/jsonobject
Chyby
| Stav | Kód | Hodnoty message |
|---|---|---|
| 401 | Authentication Failed | |
| 429 | Rate limit exceeded (...) |
List contact lists
GET /api/v3/contactlists
Parametry
| Název | Kde | Typ | Povinné | Popis |
|---|---|---|---|---|
limit | query | integer | ne | default 500, min 1, max 500 |
offset | query | integer | ne | default 0, min 0 |
select | query | string | ne | Comma separated properties to return. |
sort | query | string | ne | Comma separated properties, "-" = descending. |
Odpovědi
- 200 OK:
application/jsonobject
Chyby
| Stav | Kód | Hodnoty message |
|---|---|---|
| 401 | Authentication Failed | |
| 403 | Forbidden | |
| 422 | Validation failed: <parameter> | |
| 429 | Rate limit exceeded (...) |
Get a contact list
GET /api/v3/contactlists/{list_id}
Parametry
| Název | Kde | Typ | Povinné | Popis |
|---|---|---|---|---|
list_id | path | integer | ano |
Odpovědi
- 200 OK:
application/jsonobject
Chyby
| Stav | Kód | Hodnoty message |
|---|---|---|
| 401 | Authentication Failed | |
| 403 | Forbidden | |
| 404 | Not Found | |
| 429 | Rate limit exceeded (...) |
List contacts
GET /api/v3/contacts
Parametry
| Název | Kde | Typ | Povinné | Popis |
|---|---|---|---|---|
limit | query | integer | ne | default 500, min 1, max 500 |
offset | query | integer | ne | default 0, min 0 |
select | query | string | ne | Comma separated properties to return. |
sort | query | string | ne | Comma separated properties, "-" = descending. |
emailaddress | query | string | ne | Exact e-mail. |
id | query | integer | ne | |
blacklisted | query | one of: 0, 1 | ne | |
hardbounced | query | one of: 0, 1 | ne | |
expand | query | one of: customfields | ne |
Odpovědi
- 200 OK:
application/jsonobject
Chyby
| Stav | Kód | Hodnoty message |
|---|---|---|
| 401 | Authentication Failed | |
| 403 | Forbidden | |
| 422 | Validation failed: <parameter> | |
| 429 | Rate limit exceeded (...) |
Get a contact
GET /api/v3/contacts/{contact_id}
Parametry
| Název | Kde | Typ | Povinné | Popis |
|---|---|---|---|---|
contact_id | path | integer | ano | |
expand | query | one of: customfields | ne |
Odpovědi
- 200 OK:
application/jsonobject
Chyby
| Stav | Kód | Hodnoty message |
|---|---|---|
| 401 | Authentication Failed | |
| 403 | Forbidden | |
| 404 | Not Found | |
| 429 | Rate limit exceeded (...) |
List custom fields
GET /api/v3/customfields
Parametry
| Název | Kde | Typ | Povinné | Popis |
|---|---|---|---|---|
limit | query | integer | ne | default 500, min 1, max 500 |
offset | query | integer | ne | default 0, min 0 |
select | query | string | ne | Comma separated properties to return. |
sort | query | string | ne | Comma separated properties, "-" = descending. |
expand | query | one of: customfield_options | ne |
Odpovědi
- 200 OK:
application/jsonobject
Chyby
| Stav | Kód | Hodnoty message |
|---|---|---|
| 401 | Authentication Failed | |
| 403 | Forbidden | |
| 422 | Validation failed: <parameter> | |
| 429 | Rate limit exceeded (...) |
Ping (no authentication)
GET /api/v3/ping
Bez přihlášení.
Odpovědi
- 200 OK:
application/jsonobject
List account webhooks
GET /api/v3/web-hooks
Parametry
| Název | Kde | Typ | Povinné | Popis |
|---|---|---|---|---|
limit | query | integer | ne | default 500, min 1, max 500 |
offset | query | integer | ne | default 0, min 0 |
select | query | string | ne | Comma separated properties to return. |
sort | query | string | ne | Comma separated properties, "-" = descending. |
id | query | string | ne | |
event | query | string | ne | |
url | query | string | ne | |
active | query | string | ne | |
method | query | string | ne | |
timeout | query | string | ne |
Odpovědi
- 200 OK:
application/jsonobject
Chyby
| Stav | Kód | Hodnoty message |
|---|---|---|
| 401 | Authentication Failed | |
| 403 | Forbidden | |
| 422 | Validation failed: <parameter> | |
| 429 | Rate limit exceeded (...) |
Register an account webhook
POST /api/v3/web-hooks
Tělo požadavku (application/json)
| Pole | Typ | Povinné | Popis |
|---|---|---|---|
target_url | string | ano | http(s) URL, at most 1 000 characters; public addresses only. |
event | one of: new_contact, updated_contact, unsubscribed_contact, email_delivery_started, delivery_status, sent_email, email_open, email_click, scoring_result_changed, engagement_level_changed, sms_delivery_status | ano | Fired: new_contact, updated_contact, unsubscribed_contact, delivery_status, sent_email, email_open, email_click. Accepted but never fired yet: email_delivery_started, scoring_result_changed, engagement_level_changed, sms_delivery_status. |
basic_auth | object | ne | Optional HTTP Basic the calls send (login 1 to 200 without ":", password 1 to 500). |
Odpovědi
- 201 Created:
application/jsonobject
Chyby
| Stav | Kód | Hodnoty message |
|---|---|---|
| 401 | Authentication Failed | |
| 403 | Forbidden | |
| 409 | Already exists | |
| 422 | Validation failed: <parameter> | |
| 429 | Rate limit exceeded (...) |
Delete an account webhook
DELETE /api/v3/web-hooks/{webhook_id}
Parametry
| Název | Kde | Typ | Povinné | Popis |
|---|---|---|---|---|
webhook_id | path | integer | ano |
Odpovědi
- 204 Deleted
Chyby
| Stav | Kód | Hodnoty message |
|---|---|---|
| 401 | Authentication Failed | |
| 403 | Forbidden | |
| 404 | Not Found | |
| 429 | Rate limit exceeded (...) |
Schémata
SeContact
A contact in SmartEmailing's shape: times "YYYY-MM-DD HH:MM:SS" local, flags 0 / 1, gender M / F, language cs_CZ ...
| Pole | Typ | Povinné | Popis |
|---|---|---|---|
id | integer | ne | |
guid | any | ne | |
emailaddress | string | ne | |
name | any | ne | |
surname | any | ne | |
titlesbefore | any | ne | |
titlesafter | any | ne | |
salution | any | ne | |
company | any | ne | |
street | any | ne | |
town | any | ne | |
postalcode | any | ne | |
country | any | ne | |
cellphone | any | ne | |
phone | any | ne | |
language | any | ne | |
birthday | any | ne | |
nameday | any | ne | |
gender | any | ne | |
notes | any | ne | |
realname | any | ne | |
blacklisted | integer | ne | |
is_blacklisted | any | ne | |
hardbounced | any | ne | |
softbounced | any | ne | |
created | any | ne | |
updated | any | ne | |
created_at | any | ne | |
last_updated_at | any | ne | |
domain | any | ne | |
origin | any | ne | |
contactlists | array of object | ne | |
customfields | array of object | ne | Only with expand=customfields. |
customfields_url | any | ne |
SeContactList
| Pole | Typ | Povinné | Popis |
|---|---|---|---|
id | integer | ne | |
name | string | ne | |
publicname | any | ne | |
sendername | any | ne | |
senderemail | any | ne | |
replyto | any | ne | |
signature | any | ne | |
notes | any | ne | |
category | any | ne | |
hidden | any | ne | |
created | any | ne | |
alertIn | any | ne | |
alertOut | any | ne |
SeCustomField
| Pole | Typ | Povinné | Popis |
|---|---|---|---|
id | any | ne | |
name | any | ne | |
type | any | ne | |
options_url | any | ne | |
customfield_options | any | ne |
SeError
| Pole | Typ | Povinné | Popis |
|---|---|---|---|
status | error | ano | |
meta | array of any | ne | |
message | string | ano |
{
"status": "error",
"meta": [],
"message": "Authentication Failed"
}SeWebhook
| Pole | Typ | Povinné | Popis |
|---|---|---|---|
id | any | ne | |
url | any | ne | |
method | any | ne | |
event | one of: new_contact, updated_contact, unsubscribed_contact, email_delivery_started, delivery_status, sent_email, email_open, email_click, scoring_result_changed, engagement_level_changed, sms_delivery_status | ne | |
active | any | ne | |
timeout | any | ne | |
last_response_code | any | ne | |
last_call_time | any | ne | |
errors_in_row | any | ne | |
basic_auth | any | ne |